class Notas{
    public int notas[];
    public int n;
    public int contador;
    public Notas (int dim){//constructor 
        this.notas= new int[dim];
        this.contador=0;
    }

    public void setNotas(int notas){//agrega las notas al array
        this.notas[this.contador]=notas;
        this.contador++;
    }
}

class Estudiante{
    Notas nota;
    int cantidad;
    public Estudiante(int cantidad){
        this.cantidad=cantidad;
        nota=new Notas(this.cantidad);//crea un objeto Notas
    }

    public void getNotas(){//imprime las notas
        for(int i=0;i<this.cantidad;i++)
            System.out.println(nota.notas[i]);
    }
    public void setNnotas(int notas){//carga las notas invocando al objeto notas
        nota.setNotas(notas);
    }
}


public class ClaseNotas {
    public static void main(String[] args) {
        
        Estudiante estudiante=new Estudiante(5);
        estudiante.setNnotas(5);
        estudiante.setNnotas(5);
        estudiante.setNnotas(5);
        estudiante.setNnotas(5);
        estudiante.setNnotas(5);
    
        estudiante.getNotas();
    }
}
